HTMLTableColElement (Common DOM API )
Keywords: org.w3c.dom.html.HTMLTableColElement interface
Date: 2026-03-29

compact2, compact3
org.w3c.dom.html

## Interface HTMLTableColElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLTableColElement
      extends HTMLElement

  Regroups the `COL` and `COLGROUP` elements. See the COL element definition in HTML 4.0.

  See also the Document Object Model (DOM) Level 2 Specification.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlign()` Horizontal alignment of cell data in column.
    `String` | `getCh()` Alignment character for cells in a column.
    `String` | `getChOff()` Offset of alignment character.
    `int` | `getSpan()` Indicates the number of columns in a group or affected by a grouping.
    `String` | `getVAlign()` Vertical alignment of cell data in column.
    `String` | `getWidth()` Default column width.
    `void` | `setAlign(String align)`
    `void` | `setCh(String ch)`
    `void` | `setChOff(String chOff)`
    `void` | `setSpan(int span)`
    `void` | `setVAlign(String vAlign)`
    `void` | `setWidth(String width)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getAlign

          String getAlign()

      Horizontal alignment of cell data in column. See the align attribute definition in HTML 4.0.

    - #### setAlign

          void setAlign(String align)

    - #### getCh

          String getCh()

      Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

    - #### setCh

          void setCh(String ch)

    - #### getChOff

          String getChOff()

      Offset of alignment character. See the charoff attribute definition in HTML 4.0.

    - #### setChOff

          void setChOff(String chOff)

    - #### getSpan

          int getSpan()

      Indicates the number of columns in a group or affected by a grouping. See the span attribute definition in HTML 4.0.

    - #### setSpan

          void setSpan(int span)

    - #### getVAlign

          String getVAlign()

      Vertical alignment of cell data in column. See the valign attribute definition in HTML 4.0.

    - #### setVAlign

          void setVAlign(String vAlign)

    - #### getWidth

          String getWidth()

      Default column width. See the width attribute definition in HTML 4.0.

    - #### setWidth

          void setWidth(String width)

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2026, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.